Skip to content
Start here

List all AI Gateway Dynamic Routes.

ai_gateway.dynamic_routing.list(strgateway_id, DynamicRoutingListParams**kwargs) -> DynamicRoutingListResponse
GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/routes

List all AI Gateway Dynamic Routes.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
account_id: str
gateway_id: str
ReturnsExpand Collapse
class DynamicRoutingListResponse:
data: Data
order_by: str
order_by_direction: str
page: float
per_page: float
routes: List[DataRoute]
id: str
account_tag: str
created_at: datetime
formatdate-time
deployment: DataRouteDeployment
created_at: str
deployment_id: str
version_id: str
elements: List[DataRouteElement]
One of the following:
class DataRouteElementUnionMember0:
id: str
outputs: DataRouteElementUnionMember0Outputs
type: Literal["start"]
class DataRouteElementUnionMember1:
id: str
outputs: DataRouteElementUnionMember1Outputs
false: DataRouteElementUnionMember1OutputsFalse_
element_id: str
true: DataRouteElementUnionMember1OutputsTrue_
element_id: str
properties: DataRouteElementUnionMember1Properties
conditions: Optional[object]
type: Literal["conditional"]
class DataRouteElementUnionMember2:
id: str
outputs: Dict[str, DataRouteElementUnionMember2Outputs]
element_id: str
type: Literal["percentage"]
class DataRouteElementUnionMember3:
id: str
outputs: DataRouteElementUnionMember3Outputs
fallback: DataRouteElementUnionMember3OutputsFallback
element_id: str
success: DataRouteElementUnionMember3OutputsSuccess
element_id: str
properties: DataRouteElementUnionMember3Properties
key: str
limit: float
limit_type: Literal["count", "cost"]
One of the following:
"count"
"cost"
window: float
type: Literal["rate"]
class DataRouteElementUnionMember4:
id: str
outputs: DataRouteElementUnionMember4Outputs
fallback: DataRouteElementUnionMember4OutputsFallback
element_id: str
success: DataRouteElementUnionMember4OutputsSuccess
element_id: str
properties: DataRouteElementUnionMember4Properties
model: str
provider: str
retries: float
timeout: float
type: Literal["model"]
class DataRouteElementUnionMember5:
id: str
outputs: Dict[str, DataRouteElementUnionMember5Outputs]
element_id: str
type: Literal["end"]
gateway_id: str
modified_at: datetime
formatdate-time
name: str
version: DataRouteVersion
active: Literal["true", "false"]
One of the following:
"true"
"false"
created_at: str
data: str
version_id: str
success: bool

List all AI Gateway Dynamic Routes.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
dynamic_routings = client.ai_gateway.dynamic_routing.list(
    gateway_id="54442216",
    account_id="0d37909e38d3e99c29fa2cd343ac421a",
)
print(dynamic_routings.data)
{
  "data": {
    "order_by": "order_by",
    "order_by_direction": "order_by_direction",
    "page": 0,
    "per_page": 0,
    "routes": [
      {
        "id": "id",
        "account_tag": "account_tag",
        "created_at": "2019-12-27T18:11:19.117Z",
        "deployment": {
          "created_at": "created_at",
          "deployment_id": "deployment_id",
          "version_id": "version_id"
        },
        "elements": [
          {
            "id": "id",
            "outputs": {
              "next": {
                "elementId": "elementId"
              }
            },
            "type": "start"
          }
        ],
        "gateway_id": "gateway_id",
        "modified_at": "2019-12-27T18:11:19.117Z",
        "name": "name",
        "version": {
          "active": "true",
          "created_at": "created_at",
          "data": "data",
          "version_id": "version_id"
        }
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "data": {
    "order_by": "order_by",
    "order_by_direction": "order_by_direction",
    "page": 0,
    "per_page": 0,
    "routes": [
      {
        "id": "id",
        "account_tag": "account_tag",
        "created_at": "2019-12-27T18:11:19.117Z",
        "deployment": {
          "created_at": "created_at",
          "deployment_id": "deployment_id",
          "version_id": "version_id"
        },
        "elements": [
          {
            "id": "id",
            "outputs": {
              "next": {
                "elementId": "elementId"
              }
            },
            "type": "start"
          }
        ],
        "gateway_id": "gateway_id",
        "modified_at": "2019-12-27T18:11:19.117Z",
        "name": "name",
        "version": {
          "active": "true",
          "created_at": "created_at",
          "data": "data",
          "version_id": "version_id"
        }
      }
    ]
  },
  "success": true
}